unit ExchangeBar;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, IWControl,
  IWAdvToolButton, IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl,
  IWCompLabel, LeftFrame, Controls, Forms, TopFrame, IWCompRectangle,
  IWTMSCtrls, IWOutlookBar, IWCompEdit, IWMultiColumnComboBox, IWHelpTip,
  IWTMSCheckList, IWCompListbox, IWCompButton, jpeg, IWExtCtrls,
  IWExchangeBar;

type
  TformExchangeBar = class(TIWAppForm)
    FrameTopFrame1: TFrameTopFrame;
    FrameLeftFrame1: TFrameLeftFrame;
    IWLabel7: TIWLabel;
    IWLabel2: TIWLabel;
    TIWExchangeBar1: TTIWExchangeBar;
    IWImage1: TIWImage;
    IWEdit1: TIWEdit;
    IWEdit2: TIWEdit;
    IWButton3: TIWButton;
    IWListbox1: TIWListbox;
    IWButton1: TIWButton;
    procedure IWButton3Click(Sender: TObject);
    procedure IWButton1Click(Sender: TObject);
    procedure TIWExchangeBar1ItemClick(Sender: TComponent; PanelIndex,
      ItemIndex: Integer);
    procedure IWAppFormCreate(Sender: TObject);
    procedure IWAppFormRender(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}




procedure TformExchangeBar.IWButton3Click(Sender: TObject);
begin
    IWListbox1.Items.Add(IWButton3.Text + ' : ' + IWEdit1.Text + ' : ' + IWEdit2.Text);
    TIWExchangeBar1.ActivePanel := 2;
end;

procedure TformExchangeBar.IWAppFormCreate(Sender: TObject);
begin
  FrameTopFrame1.Align := alTop;
  FrameLeftFrame1.Align := alLeft;

  TIWExchangeBar1.SelectedItem := 2;
  TIWExchangeBar1.Splitter.BackColor := clWebDODGERBLUE;
  TIWExchangeBar1.Splitter.Glyph.FileName := '\files\splitter.gif';
end;

procedure TformExchangeBar.IWAppFormRender(Sender: TObject);
begin
  PageContext.DocType := '<!DOCTYPE html>';
end;

procedure TformExchangeBar.IWButton1Click(Sender: TObject);
var
i: integer;
begin
    with TIWExchangeBar1.Panels.Add do
      begin
        Glyph.FileName := '/files/contacts24b.gif';
        Caption := 'New Panel ';
        Height := 0;

        with Items.Add do
        begin
          Caption := 'Users';
          Glyph.FileName := '/files/users.gif';
        end;

        for i:=1 to 2 do
        begin
          with Items.Add do
          begin
            Caption := 'User ' + IntToStr(i);
            Glyph.FileName := '/files/contacts24b.gif';
            Level := 1;
          end;
          with Items.Add do
          begin
            Caption := 'Details';
            Glyph.FileName := '/files/iwnew.gif';
            Level := 2;
          end;
        end;

        with Items.Add do
        begin
          Caption := 'Extra';
          IsDivider := true;
        end;

        with Items.Add do
        begin
          Caption := 'Print List';
          Glyph.FileName := '/files/printer.gif';
        end;

    end;
IWButton1.Enabled := false;

end;

procedure TformExchangeBar.TIWExchangeBar1ItemClick(Sender: TComponent;
  PanelIndex, ItemIndex: Integer);
begin
 IWListbox1.Items.Add('Clicked Item ' + IntToStr(ItemIndex) + ': ' + TIWExchangeBar1.Panels[PanelIndex].Items[ItemIndex].Caption);
end;

end.
